petsc-3.4.2 2013-07-02

# MatCoarsenRegister

Adds a new sparse matrix coarsen to the matrix package.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCoarsenRegister(const char sname[],PetscErrorCode (*function)(MatCoarsen))

Not Collective

### Input Parameters

| sname | - name of coarsen (for example MATCOARSENMIS)
| function | - function pointer that creates the coarsen type

### Sample usage

       MatCoarsenRegister("my_agg",MyAggCreate);

Then, your aggregator can be chosen with the procedural interface via

        MatCoarsenSetType(agg,"my_agg")

or at runtime via the option

        -mat_coarsen_type my_agg

### Keywords

matrix, coarsen, register

### See Also

MatCoarsenRegisterDestroy(), MatCoarsenRegisterAll()

Level:developer
Location:src/mat/coarsen/coarsen.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages